#include <iostream>
#include<bits/stdc++.h>

using namespace std;

int main()
{
    long br = 0;
    long N,K;

    cin>>N>>K;

    long niz1[N];
    long niz2[N];

    for(int i = 0; i < N; i++)
    {
        niz1[i] = 0;
        niz2[i] = 0;
    }

    for(int i = 0; i < N; i++)
    {
        long p;
        cin>>p;
        if(p>0)
        {
            niz1[p-1]+=1;
            if(niz1[p-1]>=K) br++;
        }
        else
        {
            p=abs(p);
            niz2[p-1]+=1;
            if(niz2[p-1]>=K) br++;
        }
    }

    cout<<br<<"\n";
    for(int i = 0; i < N; i++)
    {
        if(niz1[i]>=K) cout<< i<<" ";
        if(niz2[i]>=K) cout<<-i<<" ";
    }
}